import 'dart:io';

class VanguardClientConfig {

  String serverUrl;
  final String appIdentifier;
  final String appName;
  final String deviceID;
  final String deviceName;
  final String deviceModel;

  VanguardClientConfig({required this.serverUrl, required this.appIdentifier, required this.appName, required this.deviceID, required this.deviceName, required this.deviceModel});

  Map<String, dynamic> buildHeaders() => {
    'CD-API': 'CD0C2E74359D6C96B8054954D2C8EF0135F3',
    'x-app-name': appIdentifier,
    'x-service-name': appName,
    'x-deviceid': deviceID,
    'x-platform': Platform.operatingSystem,
    'x-client-hostname': deviceName,
    'x-device': deviceModel,
  };
}